Package com.sun.jna.platform.win32

## Class WinRas.RASCONN

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASCONN

- Direct Known Subclasses:
    `WinRas.RASCONN.ByReference`
  Enclosing interface:
    WinRas

      @FieldOrder({"dwSize","hrasconn","szEntryName","szDeviceType","szDeviceName","szPhonebook","dwSubEntry","guidEntry","dwFlags","luid","guidCorrelationId"})
      public static class WinRas.RASCONN
      extends Structure

  The RASCONN structure provides information about a remote access connection. The RasEnumConnections function returns an array of RASCONN structures.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `WinRas.RASCONN.ByReference` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `dwFlags` | A value that specifies zero or more of the following flags.
    `int` | `dwSize` | Specifies the size, in bytes, of the RASCONN structure.
    `int` | `dwSubEntry` | For multilink connections, a value that specifies the subentry one-based index of a connected link.
    `Guid.GUID` | `guidCorrelationId` | A GUID that specifies the RAS connection correlation ID.
    `Guid.GUID` | `guidEntry` | A GUID (Globally Unique IDentifier) that represents the phone-book entry.
    `WinNT.HANDLE` | `hrasconn` | A HRASCONN handle that defines the remote access connection.
    `WinNT.LUID` | `luid` | A locally unique identifier (LUID) that specifies the logon session of the RAS connection.
    `char[]` | `szDeviceName` | A null-terminated string that contains the device name through which the connection is made.
    `char[]` | `szDeviceType` | A null-terminated string that contains the device type through which the connection is made.
    `char[]` | `szEntryName` | A null-terminated string that specifies the phone-book entry used to establish the remote access connection.
    `char[]` | `szPhonebook` | A null-terminated string that specifies the full path and file name of a phone-book (PBK) file.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RASCONN()` |
    `RASCONN​(Pointer memory)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwSize

          public int dwSize

      Specifies the size, in bytes, of the RASCONN structure.

    - #### hrasconn

          public WinNT.HANDLE hrasconn

      A HRASCONN handle that defines the remote access connection. This handle is used in other remote access API calls.

    - #### szEntryName

          public char[] szEntryName

      A null-terminated string that specifies the phone-book entry used to establish the remote access connection. If the connection was established using an empty entry name, this string consists of a PERIOD followed by the connection phone number.

    - #### szDeviceType

          public char[] szDeviceType

      A null-terminated string that contains the device type through which the connection is made. See RASENTRY for a list of possible device types.

    - #### szDeviceName

          public char[] szDeviceName

      A null-terminated string that contains the device name through which the connection is made.

    - #### szPhonebook

          public char[] szPhonebook

      A null-terminated string that specifies the full path and file name of a phone-book (PBK) file.

    - #### dwSubEntry

          public int dwSubEntry

      For multilink connections, a value that specifies the subentry one-based index of a connected link.

    - #### guidEntry

          public Guid.GUID guidEntry

      A GUID (Globally Unique IDentifier) that represents the phone-book entry. The value of this member corresponds to that of the guidId member in the RASENTRY structure.

    - #### dwFlags

          public int dwFlags

      A value that specifies zero or more of the following flags.

    - #### luid

          public WinNT.LUID luid

      A locally unique identifier (LUID) that specifies the logon session of the RAS connection.

    - #### guidCorrelationId

          public Guid.GUID guidCorrelationId

      A GUID that specifies the RAS connection correlation ID. The correlation ID is logged with the RAS connection setup, disconnect and setup failure events and identifies the RAS connection event logs on the client and server.

  - ### Constructor Detail

    - #### RASCONN

          public RASCONN()

    - #### RASCONN

          public RASCONN​(Pointer memory)